Page MenuHomePhabricator

[lldb] [test] Mark failing tests XFAIL on NetBSD
ClosedPublic

Authored by mgorny on Feb 21 2019, 2:34 PM.

Details

Summary

Add a convenience 'expectedFailureNetBSD' decorator and mark all tests
currently failing on NetBSD with it. Also skip a few tests that hang
the test suite. This should establish a baseline for the test suite
and get us closer to enabling tests on buildbot. This will help us
catch regressions while we still have a lot of work to do to get tests
working.

It seems that there are also some flaky tests. I am going to address
them later on.

Diff Detail

Repository
rL LLVM

Event Timeline

mgorny created this revision.Feb 21 2019, 2:34 PM
Herald added a project: Restricted Project. · View Herald Transcript
mgorny updated this revision to Diff 187962.Feb 22 2019, 12:07 PM

Remove leftover decorators import.

mgorny updated this revision to Diff 188947.Mar 1 2019, 11:01 AM

Update the list of failing tests to include tsan tests, and to remove some false positives. I'll probably update it once more soon enough but I'd still appreciate a comment if the style is ok.

labath accepted this revision.Mar 3 2019, 4:41 AM

In general, feel free to add/remove the netbsd decorators as you see fit (or in consulation with kamil or whatever).

This revision is now accepted and ready to land.Mar 3 2019, 4:41 AM
krytarowski accepted this revision.Mar 3 2019, 6:57 AM

Feel free to commit this and next without review.

mgorny added a comment.Mar 3 2019, 7:17 AM

Thanks. I'm going to retest/update it for master first.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 4 2019, 8:53 AM